%define oname   haml

Name:       ruby-%{oname}
Version:    5.1.2
Release:    %mkrel 1
Summary:    An elegant, structured XHTML/XML template engine
License:    GPLv2+
Group:      Development/Ruby
URL:        http://haml-lang.com/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Haml (HTML Abstraction Markup Language) is a layer on top of XHTML or XML
that's designed to express the structure of XHTML or XML documents
in a non-repetitive, elegant, easy way, using indentation rather than
closing tags and allowing Ruby to be embedded with ease. It was originally
envisioned as a plugin for Ruby on Rails, but it can function as a
stand-alone template engine.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

rm -rf %{buildroot}%{gem_instdir}/.yardoc

%files
%{_bindir}/haml
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}


%changelog
* Sat Mar 28 2020 pterjan <pterjan> 5.1.2-1.mga8
+ Revision: 1561505
- Update to 5.1.2

* Wed Feb 12 2020 umeabot <umeabot> 5.0.4-3.mga8
+ Revision: 1507746
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 5.0.4-2.mga7
+ Revision: 1290965
- Mageia 7 Mass Rebuild

* Sun Apr 01 2018 pterjan <pterjan> 5.0.4-1.mga7
+ Revision: 1214237
- Update to 5.0.4

* Sun Sep 10 2017 pterjan <pterjan> 5.0.3-1.mga7
+ Revision: 1152313
- Update to 5.0.3

* Sat Aug 19 2017 pterjan <pterjan> 5.0.2-1.mga7
+ Revision: 1141791
- Update to 5.0.2

* Tue Dec 29 2015 pterjan <pterjan> 4.0.7-1.mga6
+ Revision: 916709
- Update to 4.0.7

* Wed Oct 15 2014 umeabot <umeabot> 4.0.3-6.mga5
+ Revision: 749628
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.0.3-5.mga5
+ Revision: 688821
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 4.0.3-4.mga4
+ Revision: 561950
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 4.0.3-3.mga4
+ Revision: 561283
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 4.0.3-2.mga4
+ Revision: 538831
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 pterjan <pterjan> 4.0.3-1.mga4
+ Revision: 490587
- 4.0.3

* Fri Sep 20 2013 pterjan <pterjan> 3.1.7-5.mga4
+ Revision: 482071
- Rebuild for Ruby 2

* Sat Sep 14 2013 pterjan <pterjan> 3.1.7-4.mga4
+ Revision: 478985
- Fix file list
- Use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 3.1.7-3.mga3
+ Revision: 396016
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 3.1.7-2.mga3
+ Revision: 380964
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 3.1.7-1.mga3
+ Revision: 313031
- new version 3.1.7

* Sat Aug 11 2012 shlomif <shlomif> 3.1.6-1.mga3
+ Revision: 280716
- New version 3.1.6

* Sat Jun 09 2012 shlomif <shlomif> 3.1.4-1.mga3
+ Revision: 258754
- Remove an offensive BR
+ solbu <solbu>
- New version
- Spec cleanup

* Sat Feb 19 2011 shikamaru <shikamaru> 3.0.25-2.mga1
+ Revision: 54141
- Filter VERSION files, otherwise cucumber fails

* Sat Feb 12 2011 shikamaru <shikamaru> 3.0.25-1.mga1
+ Revision: 50838
- imported package ruby-haml

